/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FolderPath } from "./FolderPath";
import type { PublicPermissions } from "./PublicPermissions";

/**
 * The public permissions inherited by the current path.
 *
 * The `folderPath` indicates which folder the permissions were inherited from.
 *
 * The `value` is `null` if the requester has insufficient privileges to this information.
 */
export type PublicPermissionsInherited = {
  folderPath: FolderPath;
  value: Array<PublicPermissions>;
};
