import type { FileDetails } from "./FileDetails";
import type { FilePartCount } from "./FilePartCount";
import type { UploadId } from "./UploadId";
import type { UploadPartV2 } from "./UploadPartV2";
/**
 * Response body for BeginMultipartUpload.
 *
 * See also: basic file uploads and multipart file uploads.
 */
export declare type BeginMultipartUploadResponseV2 = {
    file: FileDetails;
    uploadId: UploadId;
    uploadParts: {
        first: UploadPartV2;
        count: FilePartCount;
    };
};
