/**
 * Transformation URL slug.
 *
 * - Use `*` to match all file downloads.
 *
 * - Use a `*` suffix to match all transformations that begin with the prefix (e.g. `thumbnail-*` will match `thumbnail-sm` and `thumbnail-lg`).
 *
 * - Use `raw` to match raw/original file downloads.
 *
 * - Use any other value to match specific transformations (e.g. `thumbnail` will match `thumbnail` downloads only).
 */
export declare type TransformationUrlSlugPattern = string;
