/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { PublicPermissionsInherited } from "./PublicPermissionsInherited";
import type { StorageLayerInherited } from "./StorageLayerInherited";

/**
 * The FolderSettings inherited by the current path.
 *
 * If the FolderDetails defines its own `settings`, then those will take effect instead of these inherited settings.
 *
 * Each inherited setting contains a `folderPath` field to indicate which folder the setting was inherited from.
 */
export type FolderSettingsInherited = {
  publicPermissions: PublicPermissionsInherited;
  storageLayer: StorageLayerInherited;
};
