/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FolderPath } from "./FolderPath";
import type { StorageLayerSummary } from "./StorageLayerSummary";

/**
 * The storage layer inherited by the current path.
 *
 * The `folderPath` indicates which folder the storage layer was inherited from.
 *
 * The `value` is `null` if the requester has insufficient privileges to this information.
 */
export type StorageLayerInherited = {
  folderPath: FolderPath;
  value: StorageLayerSummary;
};
